## expcore.gui.elements.elem-button module

Gui class defines for elem buttons [[

### Dependencies

expcore.gui.core
expcore.gui.prototype
utils.game

### Functions

ElemButton.new_elem_button([name]) | Creates a new elem button element define
ElemButton._prototype:set_default(value) | Sets the default value for the elem button, this may be a function or a string

### Fields

ElemButton._prototype.set_type | Sets the type of the elem button, the type is required so this must be called at least once

### Dependencies

# expcore.gui.core
# expcore.gui.prototype
# utils.game

### Functions

# ElemButton.new_elem_button([name])

  Creates a new elem button element define

  Parameters:
  - name : (string) the optional debug name that can be added (optional)
  Returns:
  - (table) the new elem button element define
# ElemButton._prototype:set_default(value)

  Sets the default value for the elem button, this may be a function or a string

  Parameters:
  - value : (string or function) string a will be a static default and a function will be called when drawn to get the default
  Returns:
  - (the) element define to allow for chaining

### Fields

# ElemButton._prototype.set_type

  Sets the type of the elem button, the type is required so this must be called at least once

  - type : (string) the type that this elem button is see factorio api